Method: projects.locations.instances.upgrade

노트북 인스턴스를 최신 버전으로 업그레이드합니다.

HTTP 요청

POST https://notebooks.googleapis.com/v1/{name}:upgrade

경로 매개변수

매개변수
name

string

필수 항목. 형식: projects/{projectId}/locations/{location}/instances/{instanceId}

승인을 처리하려면 지정된 리소스 name에 대해 다음과 같은 IAM 권한이 필요합니다.

  • notebooks.instances.upgrade

요청 본문

요청 본문에는 다음과 같은 구조의 데이터가 포함됩니다.

JSON 표현
{
  "type": enum (UpgradeType)
}
필드
type

enum (UpgradeType)

(선택사항) 선택적 UpgradeType입니다. 이 필드를 설정하면 이 인스턴스를 업그레이드할 추가 컴퓨팅 이미지를 검색합니다.

응답 본문

성공한 경우 응답 본문에 Operation의 인스턴스가 포함됩니다.

승인 범위

다음 OAuth 범위 중 하나가 필요합니다.

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/notebooks

자세한 내용은 Authentication Overview를 참조하세요.